import WalletProvider from "./core/provider/WalletProvider";
import { DappPortalSDKClientConfig } from "./core/config/config";
import PaymentProvider from "./core/provider/PaymentProvider";
declare class DappPortalSDK {
    private readonly config;
    private walletProvider?;
    private paymentProvider?;
    private readonly browserGuideUi;
    private readonly metricApiClient;
    private constructor();
    static init(config: DappPortalSDKClientConfig): Promise<DappPortalSDK>;
    private static initializeDeviceId;
    getWalletProvider(): WalletProvider;
    getPaymentProvider(): PaymentProvider;
    isSupportedBrowser(): boolean;
    showUnsupportedBrowserGuide(): Promise<void>;
    private getBrowserNameIfUnsupported;
    getTrackingId(): string | null;
    sendWalletActivity(action: string, data?: Record<string, any>): void;
}
export default DappPortalSDK;
