import { DappPortalSDKConfig } from "../config/config";
import { PaymentInfo, StartPaymentResponse } from "../message/PaymentMessage";
export declare class PaymentClient {
    private readonly baseUrl;
    private readonly maxRetryCount;
    private readonly clientId;
    constructor(config: DappPortalSDKConfig);
    getPayment: (paymentId: string) => Promise<PaymentInfo>;
    waitForConfirm: (paymentId: string) => Promise<void>;
    private delayPolling;
    private getPaymentStatus;
    register: (paymentId: string, txHash: string) => Promise<void>;
    startPayment: (paymentId: string, userAgent: string, isLiff: boolean) => Promise<StartPaymentResponse>;
    getNonceForPaymentHistory: (walletAddress: string) => Promise<string>;
    getSessionTokenForPaymentHistory: (walletAddress: string, signature: string) => Promise<string>;
}
