import { ProviderHandlerInterface } from "./interface";
import { RequestArguments } from "../interface";
import { EventEmitter } from "eventemitter3";
import { DappPortalSDKConfig } from "../../config/config";
import { BitgetEthereumInterface } from "../../util/BitgetExtensionUtil";
export declare class BitgetExtensionProviderHandler implements ProviderHandlerInterface {
    private readonly eventBus;
    private readonly config;
    constructor(eventBus: EventEmitter, config: DappPortalSDKConfig);
    request(requestArgs: RequestArguments): Promise<unknown>;
    private requestConnectAndSign;
    private requestWithConverter;
    switchChain(chainId: string): Promise<void>;
    awaitNetworkChange(bitgetWalletExtension: BitgetEthereumInterface, expectedChainId: string): Promise<unknown>;
    disconnect(): Promise<void>;
    private setExtensionEventProxy;
    private convertToLegacyParam;
    private convertInputFieldToDataField;
    private convertBitgetRpcError;
}
