import { ProviderHandlerInterface } from "./interface";
import { KaiaLegacyExtension } from "../../util/ExtensionUtil";
import { RequestArguments } from "../interface";
import { EventEmitter } from "eventemitter3";
import { DappPortalSDKConfig } from "../../config/config";
export declare class ExtensionProviderHandler implements ProviderHandlerInterface {
    private readonly eventBus;
    private readonly config;
    constructor(eventBus: EventEmitter, config: DappPortalSDKConfig);
    request(requestArgs: RequestArguments): Promise<unknown>;
    private requestConnectAndSign;
    switchChain(chainId: string): Promise<void>;
    disconnect(): Promise<void>;
    awaitNetworkChange(kaiaWalletExtension: KaiaLegacyExtension, expectedChainId: string): Promise<unknown>;
    private requestWithConverter;
    private setExtensionEventProxy;
    private appendTxTypeParam;
    private convertToLegacyParam;
    private appendTxTypeToObj;
    private convertInputFieldToDataField;
}
