import { OKXUniversalConnectUI } from "@okxconnect/ui";
import { EventEmitter } from "eventemitter3";
import { ProviderHandlerInterface } from "./interface";
import { RequestArguments } from "../interface";
import { DappPortalSDKConfig } from "../../config/config";
export declare class OkxProviderHandler implements ProviderHandlerInterface {
    private readonly eventBus;
    private readonly config;
    private readonly universalUi;
    constructor(eventBus: EventEmitter, config: DappPortalSDKConfig, universalUi: OKXUniversalConnectUI);
    static init(eventBus: EventEmitter, config: DappPortalSDKConfig): Promise<OkxProviderHandler>;
    request(requestArgs: RequestArguments): Promise<unknown>;
    private connectAndSign;
    switchChain(chainId: string): Promise<void>;
    disconnect(): Promise<void>;
    private setOkxEventProxy;
    private convertToEthParam;
    private convertSignTypedDataV4Field;
    private convertInputFieldToDataField;
    private stripOkxAccountPrefix;
}
