import { DappPortalSDKConfig } from "../../config/config";
import { PaymentInfo } from "../../message/PaymentMessage";
import { PaymentClient } from "../../client/PaymentClient";
export declare class PaymentProviderHandler {
    protected readonly paymentClient: PaymentClient;
    constructor(config: DappPortalSDKConfig);
    getPayment(paymentId: string): Promise<PaymentInfo>;
    startPayment(paymentId: string): Promise<unknown>;
    waitForConfirm(paymentId: string): Promise<void>;
    registerTxHash(paymentId: string, txHash: string): Promise<void>;
    openStripePaymentPage(url: string, width: number, height: number): Window | undefined | null;
    getNonceForPaymentHistory(walletAddress: string): Promise<string>;
    getSessionTokenForPaymentHistory(walletAddress: string, signature: string): Promise<string>;
}
