import { SerializedKaiaRpcError } from "../core/message/RpcMessage";
export declare enum StandardErrorCodes {
    invalidRequest = "-32600",
    methodNotFound = "-32601",
    invalidParams = "-32602",
    internal = "-32603",
    parse = "-32700"
}
export declare const errorValues: {
    '-32600': {
        standard: string;
        message: string;
    };
    '-32601': {
        standard: string;
        message: string;
    };
    '-32602': {
        standard: string;
        message: string;
    };
    '-32603': {
        standard: string;
        message: string;
    };
    '-32700': {
        standard: string;
        message: string;
    };
};
export declare const ERROR_CODE_USER_CANCELED = -32001;
export declare const ERROR_CODE_PAYMENT_CANCELED = -31001;
export declare const ERROR_CODE_PAYMENT_FAILED = -31002;
declare class KaiaError extends Error {
    code: number;
    data?: any;
    constructor(code: string, message?: string, data?: any);
}
export declare class KaiaInternalError extends KaiaError {
    constructor(message?: string, data?: any);
}
export declare function serializeError(error: unknown): SerializedKaiaRpcError;
export {};
